## github-backup-utils-v3.12.3.tar.gz

=== Makefile ===
SHELL = /bin/sh

test: info
	@echo Running tests
	@script/test

info:
	@echo This is github/backup-utils
	@echo shell is $(shell ls -l $(SHELL) | sed 's@.*/bin/sh@/bin/sh@')
	@rsync --version | head -1
	@echo

dist:
	@script/package-tarball

deb:
	@script/package-deb

clean:
	rm -rf dist

# List pull requests that need to be merged into stable
# (helpful for the release notes)
pending-prs:
	@git log stable...master | grep "Merge pull request"

.PHONY: test info dist clean pending-prs

=== share/github-backup-utils/requirements.txt ===
min_rsync=2.6.4
min_openssh=5.6
min_jq=1.5

=== debian/changelog ===
github-backup-utils (3.12.3) UNRELEASED; urgency=medium

  * Only restore package storage secrets if -c flag is used

 -- ghes-releases-team  Wed, 08 May 2024 20:36:23 +0000

github-backup-utils (3.8.0) focal; urgency=medium

 -- Daniel Johnson <wirecat@github.com>  Tue, 07 Feb 2023 21:43:26 +0000

github-backup-utils (3.7.0) UNRELEASED; urgency=medium


 -- Devin Dooley <dooleydevin@github.com>  Tue, 25 Oct 2022 00:35:38 +0000

github-backup-utils (3.6.0) UNRELEASED; urgency=medium


 -- Joe Franks <joefranks1993@github.com>  Wed, 17 Aug 2022 19:20:54 +0000

github-backup-utils (3.5.0) UNRELEASED; urgency=medium

  * Simplify complex redirects for ghe-rsync #881
  * On restore failure, restart cron on target host #883

 -- Bon Sohi<bonsohi@github.com>  Thu, 12 May 2022 21:06:56 +0000

github-backup-utils (3.4.1) UNRELEASED; urgency=medium

  * Simplify complex redirects for ghe-rsync #881
  * On restore failure, restart cron on target host #883

 -- Donal Ellis <donal@github.com>  Fri, 22 Apr 2022 04:00:00 +0000

github-backup-utils (3.3.2) UNRELEASED; urgency=medium

  * Simplify complex redirects for ghe-rsync #881
  * On restore failure, restart cron on target host #883

 -- Donal Ellis <donal@github.com>  Fri, 22 Apr 2022 00:53:45 +0000

github-backup-utils (3.4.0) UNRELEASED; urgency=medium

  * Add anchor to usage doc for settings restore #865

 -- Steve Culver <steveculver@github.com>  Tue, 15 Feb 2022 19:25:09 +0000

github-backup-utils (3.3.1) UNRELEASED; urgency=medium

  * Fix compat issue with ghe-actions-start during maintenance mode #836

 -- Balwinder Sohi <bonsohi@github.com>  Tue, 21 Dec 2021 23:38:01 +0000

github-backup-utils (3.3.0) UNRELEASED; urgency=medium

 -- Balwinder Sohi <bonsohi@github.com>  Wed, 08 Dec 2021 03:12:53 +0000

github-backup-utils (3.3.0.rc1) UNRELEASED; urgency=medium

 -- Nick Iodice <nick-iodice@github.com>  Tue, 09 Nov 2021 19:56:08 +0000

github-backup-utils (3.2.0) UNRELEASED; urgency=medium

 -- Brett Westover <bwestover@github.com>  Tue, 28 Sep 2021 16:50:00 +0000

github-backup-utils (3.2.0.rc3) UNRELEASED; urgency=medium

  * Move GitHub Connect reset to after ghe-config-apply #783

 -- Brett Westover <bwestover@github.com>  Fri, 17 Sep 2021 00:44:59 +0000

github-backup-utils (3.2.0.rc1) UNRELEASED; urgency=medium

  * Leaked host key check: Avoid false positives from FIPS mode #748
  * Always restore user-password-secrets #762
  * Make some of the actions setting best effort #767
  * Remove reference to `ghe-cluster-cleanup-nodes` #768
  * Stop/Restart Actions in ghe-restore #769
  * Clear GitHub Connect settings when not restoring settings #770
  * GitHub Connect Reset Issue #776

 -- Brett Westover <bwestover@github.com>  Fri, 10 Sep 2021 20:10:07 +0000

github-backup-utils (3.1.0) UNRELEASED; urgency=medium

 -- Zachary Mark <zachary-mark@github.com>  Thu, 03 Jun 2021 16:55:16 +0000

github-backup-utils (3.1.0~rc1) UNRELEASED; urgency=medium

  [ Zachary Mark ]
  * Update repository backups to use ghe-gc-* for lock file management #188
  * A faster way to restore storage blobs (clusters) #212
  * Bug fix: Be more specific in restore routes globbing #715
  * fix(docker): add coreutils to get flags for date #717
  * Add backup cadence variable to the appliance #719
  * Fix is_default_external_database_snapshot function #720

  [ Hideki Yamane ]
  * debian/rules
    - Drop unnecessary build-indep:
    - Add manpages generation.
  * debian/changelog
    - Fix some lintian warnings for old entries.
  * debian/source/format
    - Upgrade to newer source format 3.0 (native).
  * debian/copyright
    - Format it as Machine-readable debian/copyright format 1.0
    - Add entries Twan Wolthof <xeago@spotify.com> and me for debian/* since
      enough code was written by non-github.com employees, at least.
  * debian/control
    - Update descriptions in debian/control
    - Fix "Architecture: all", instead of "any".
    - Declare its Homepage as https://github.com/github/backup-utils
    - Add Vcs-* metadata field.
    - Specify "Rules-Requires-Root: no"
    - Drop unnecessary "Build-Depends: devscripts"
    - Set Standards-Version: 4.5.1
    - Update Maintainer as Zachary Mark <zachary-mark@github.com>
  * debian/{clean,manpages}
    - Add files to support manpages handles.

 -- Zachary Mark <zachary-mark@github.com>  Thu, 06 May 2021 17:11:18 +0000

github-backup-utils (3.0.0) UNRELEASED; urgency=medium

  * Fix restoring the password pepper for already configured instances #683

 -- Michael Dang <dangmh@github.com>  Tue, 16 Feb 2021 22:32:25 +0000

github-backup-utils (3.0.0.rc1) UNRELEASED; urgency=medium

  * Cleanup nomad container when restore for 2.22 #670
  * Use ghe-cluster-nomad-cleanup for cluster mode #663
  * Only run ghe-nomad-cleanup in 3.0 #662
  * Revert backup-utils gitHub env and a few more fixes #661
  * Note how to test filesystem symlink / hardlink support #660
  * stop github-timerd based on its running environment #659
  * Backup and restore password pepper #656
  * github-env -> github-env-dispatch #654
  * Rename redis-cli to ghe-redis-cli #639

 -- Michael Dang <dangmh@github.com>  Thu, 14 Jan 2021 21:17:53 +0000

github-backup-utils (2.22.0) UNRELEASED; urgency=medium

  * Added basic timing around the ghe-restore process #625
  * Improve python3 & finding moreutils parallel  #627
  * Turn off POSIX for ghe-backup-config #632
  * Add parallelized restore capability to ghe-restore-storage #635
  * Update backup-utils for new features in 2.22 #641

 -- Hao Jiang <jianghao0718@github.com>  Wed, 23 Sep 2020 15:48:54 +0000

github-backup-utils (2.21.0) UNRELEASED; urgency=medium

  * Introduce option to skip restoring of audit logs #596
  * Beta: Execute ghe-backup tasks in parallel #597
  * Beta: Execute ghe-restore tasks in parallel #601
  * Run repositories restore in parallel #603
  * Fix mismatched `bm_start` and `bm_end` commands #607
  * remove rsync restore method used by GHES versions prior to 2.13 #608


=== debian/control ===
Source: github-backup-utils
Maintainer: Zachary Mark <zachary-mark@github.com>
Section: misc
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 9), git, moreutils, jq, rsync (>= 2.6.4), help2man,
Homepage: https://github.com/github/backup-utils
Vcs-Git: https://github.com/github/backup-utils.git
Vcs-Browser: https://github.com/github/backup-utils
Rules-Requires-Root: no

Package: github-backup-utils
Architecture: all
Depends: ${misc:Depends}, rsync (>= 2.6.4), moreutils, jq, git
Description: Backup and recovery utilities for GitHub Enterprise Server
 The backup utilities implement a number of advanced capabilities for backup
 hosts, built on top of the backup and restore features already included in
 GitHub Enterprise Server.
 .
 These advanced features include:
  - Complete GitHub Enterprise Server backup and recovery system via two simple
    utilities: `ghe-backup` and `ghe-restore`.
  - Online backups. The GitHub appliance need not be put in maintenance mode for
    the duration of the backup run.
  - Incremental backup of Git repository data. Only changes since the last
    snapshot are transferred, leading to faster backup runs and lower network
    bandwidth and machine utilization.
  - Efficient snapshot storage. Only data added since the previous snapshot
    consumes new space on the backup host.
  - Multiple backup snapshots with configurable retention periods.
  - Backup runs under the lowest CPU/IO priority on the GitHub appliance,
    reducing performance impact while backups are in progress.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$$(cat $(CURDIR)/share/github-backup-utils/version)

override_dh_auto_build:
	# generate manpages for ghe-backup, ghe-host-check and ghe-restore
	help2man $(CURDIR)/bin/ghe-backup -N -o $(CURDIR)/debian/ghe-backup.1 \
          -n "Take snapshots of all GitHub Enterprise data" \
          --version-string="ghe-backup $(VERSION)"
	help2man $(CURDIR)/bin/ghe-host-check -N -o $(CURDIR)/debian/ghe-host-check.1 \
          -n "Restores a GitHub instance from local backup snapshots" \
          --version-string="ghe-host-check $(VERSION)"
	help2man $(CURDIR)/bin/ghe-restore -N -o $(CURDIR)/debian/ghe-restore.1 \
          -n "Verify connectivity with the GitHub Enterprise Server host" \
          --version-string="ghe-restore $(VERSION)"

%:
	dh $@
